Subject: bug#42989: Subtle Typo in guix-daemon.service installed by guix-install.sh

From: Leo Famulari <[email-masked]>
Date: Sat, 22 Aug 2020 17:39:30 -0400

On Sat, Aug 22, 2020 at 12:22:13PM -0700, Michael Gorlick wrote:
> You are right and the confusion is mine. The reason the error messages
> disappeared is that thanks to a "guix pull", a "guix upgrade", and a "guix
> install glibc-utf8-locales" on user "root" I now have the latest version of
> the utf8-locales, 2.31, installed at
> */var/guix/profiles/per-user/root/guix-profile/lib/locale.*
> 
> Sorry for the bother. However, judging by prior discussions not everyone
> understands that the build daemons rely in this way on the guix-profile of
> the root. It would help if the documentation pointed out this common
> misunderstanding and explicitly advised users on foreign distributions to
> pull and upgrade the root profile regularly.

Yeah, locales are one of the bigger user experience problem with Guix :/
The warnings are a definite improvement over how it used to be, when
glibc would simply ABORT any program that was using the wrong version of
locales.

We are still searching for a solid solution to the problem, as we've
been tweaking the documentation for years now, but people still report
the warnings all the time.